org.apache.mina.http.api

## Enum HttpVerb

- java.lang.Object
- - java.lang.Enum<HttpVerb>
  - - org.apache.mina.http.api.HttpVerb

All Implemented Interfaces:
  Serializable, Comparable<HttpVerb>

    public enum HttpVerb
    extends Enum<HttpVerb>

Author:
  Apache MINA Project

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`CONNECT`
`DELETE`
`GET`
`HEAD`
`OPTIONS`
`POST`
`PUT`
`TRACE`

### Method Summary

Methods
`static HttpVerb` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static HttpVerb[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### GET

    public static final HttpVerb GET

#### HEAD

    public static final HttpVerb HEAD

#### POST

    public static final HttpVerb POST

#### PUT

    public static final HttpVerb PUT

#### DELETE

    public static final HttpVerb DELETE

#### OPTIONS

    public static final HttpVerb OPTIONS

#### TRACE

    public static final HttpVerb TRACE

#### CONNECT

    public static final HttpVerb CONNECT

### Method Detail

#### values

    public static HttpVerb[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (HttpVerb c : HttpVerb.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static HttpVerb valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null